%global __python %{__python3}

# If the definition isn't available for python3_pkgversion, define it
%{?!python3_pkgversion:%global python3_pkgversion 3}

%if 0%{?fedora} >= 37
%global _python3_targetdir %{python3_sitearch}
%else
%global _python3_targetdir %{python3_sitelib}
%endif

# Disable tests for now
%bcond_with check

Name:           nuitka
Version:        1.6.6
Release:        0%{?dist}.1sunshine
Summary:        Python compiler with full language support and CPython compatibility

License:        ASL 2.0
URL:            http://nuitka.net
Source0:        http://nuitka.net/releases/Nuitka-%{version}.tar.bz2
Source1:        Nuitka-Logo-Symbol.xpm 
BuildArch:      noarch

# Required for Python 3 pkgversion macros to work
# BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel

# Test deps
BuildRequires:  python%{python3_pkgversion}-scons
BuildRequires:  chrpath
BuildRequires:  strace
# ignatenkobrain: do not test qt4, qt5 and pyside, something broken
BuildRequires:  python%{python3_pkgversion}-lxml
BuildRequires:  python%{python3_pkgversion}-tkinter
Requires:       gcc-c++
Requires:       python%{python3_pkgversion}-devel
Requires:       patchelf
Requires:       python%{python3_pkgversion}-scons
%if 0%{?rhel} < 8
Requires:       strace
%else
Recommends:     strace
%endif

%description
Python compiler with full language support and CPython compatibility

This Python compiler achieves full language compatibility and compiles Python
code into compiled objects that are not second class at all. Instead they can be
used in the same way as pure Python objects.

%prep
%autosetup -n Nuitka-%{version}

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_mandir}/man1/
install -p -m0644 doc/nuitka3{,-run}.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/python3.xpm

%if %{with check}
%check
%{__python3} tests/run-tests
%endif

%files
%license LICENSE.txt
%doc README.rst Changelog.rst
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*.1*
%{_python3_targetdir}/*
%{_datadir}/pixmaps/python3.xpm

%changelog
* Wed Jul 05 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.6.6-0.1sunshine
- update to 1.6.6

* Wed Jun 07 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.6.1-0.1sunshine
- update to 1.6.1

* Tue Mar 28 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.5.4-0.1sunshine
- update to 1.5.4

* Thu Mar 16 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.5.1-0.1sunshine
- update to 1.5.1
- use %%python3_sitearch instead of %%python3_sitelib on F37+

* Tue Sep 27 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.1-0.1sunshine
- update to 1.1

* Tue Aug 30 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.6-0.1sunshine
- update to 1.0.6

* Mon Aug 15 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.0.3-0.1sunshine
- update to 1.0.3

* Sat Jul 02 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.9.2-0.1sunshine
- update to 0.9.2

* Fri Jul 01 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.9.1-0.1sunshine
- update to 0.9.1

* Sun Jun 26 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.9-0.1sunshine
- update to 0.9
- remove duplicate BR

* Thu Jun 23 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.8.4-0.2sunshine
- use %%py3_install macro

* Thu Jun 23 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.8.4-0.1sunshine
- update to 0.8.4

* Thu May 26 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.8.2-0.1sunshine
- update to 0.8.2

* Wed Feb 16 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.6.19.7-0.4sunshine
- fix binary names on old EPEL
- add a python icon pixmap (made from Nuitka logo), as non is provided by the OS

* Wed Feb 16 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.6.19.7-0.3sunshine
- make everything python3
- change BR and Requires scons to python3-scons (covers EPEL better)

* Mon Feb 14 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.6.19.7-0.2sunshine
- add Requires: patchelf

* Mon Feb 14 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 0.6.19.7-0.1sunshine
- update to 0.6.19.7
- fix BRs
- adapt to suffixes for the binaries
- use proper python paths
- add Changelog.rst to %%doc

* Mon Jun 27 2016 Neal Gompa <ngompa13@gmail.com> - 0.5.21.3-2
- Disable tests for now

* Mon Jun 27 2016 Neal Gompa <ngompa13@gmail.com> - 0.5.21.3-1
- Upgrade to 0.5.21.3
- Enable epel7

* Sat Dec 05 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.16.1
- Initial package
